Bug 982671 - Spurious .RUBYARCHDIR.time file created by mkmf
Spurious .RUBYARCHDIR.time file created by mkmf
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 10:28 EDT by Dominic Cleal
Modified: 2015-02-18 08:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:59:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2013-07-09 10:28:16 EDT
Description of problem:
When doing a gem install of a native gem that uses mkmf, an additional file is created in the installation directory that appears to be a by-product of the makefile.

This breaks RPM builds due to unexpected files when doing gem2rpm, since it uses gem install + mkmf during the build process, e.g.
http://koji.katello.org/koji/getfile?taskID=43069&name=build.log

Version-Release number of selected component (if applicable):
ruby-2.0.0.195-8.fc19.x86_64
ruby-libs-2.0.0.195-8.fc19.x86_64
rubygems-2.0.3-1.fc19.noarch

How reproducible:
Always on F19

Steps to Reproduce:
1. gem install mysql
2. ls -l /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/.RUBY*

Actual results:
# gem install mysql
Fetching: mysql-2.9.1.gem (100%)
Building native extensions.  This could take a while...
Successfully installed mysql-2.9.1
Parsing documentation for mysql-2.9.1
Installing ri documentation for mysql-2.9.1
Done installing documentation for mysql after 0 seconds
1 gem installed
# ls -l /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/.RUBY*
-rw-r--r--. 1 root root 0 Jul  9 14:22 /usr/local/share/gems/gems/mysql-2.9.1/ext/mysql_api/.RUBYARCHDIR.time

Expected results:
no .RUBYARCHDIR.time file

Additional info:
Fixed by upstream r40280, I've tested this successfully:
https://github.com/ruby/ruby/commit/34b706f
Comment 1 Vít Ondruch 2013-12-20 08:09:08 EST
Hi Dominic,

Thank you for reporting the issue and sorry for late response. What problems this file actually cause to you? From your reproducers I don't see any and the Koji's log went away long time ago.
Comment 2 Dominic Cleal 2014-01-02 05:11:42 EST
(In reply to Vít Ondruch from comment #1)
> Hi Dominic,
> 
> Thank you for reporting the issue and sorry for late response. What problems
> this file actually cause to you? From your reproducers I don't see any and
> the Koji's log went away long time ago.

No major issue, it just caused some RPM rebuilds from F18->F19 (and now F20) to fail due to the unexpected extra file.  For now we use %exclude.
Comment 3 Vít Ondruch 2014-01-03 11:52:15 EST
Sorry, but I fail to see how the commit you reference could solve the issue. I am testing this issue with Ruby 2.1, where the commit is applied and the .RUBYARCHDIR.time is still present.

Actually, the .timestamp dir is used just during build of Ruby and its extensions, when runruby.rb defines $extout global variable. RubyGems does not enforces this option.
Comment 4 Fedora End Of Life 2015-01-09 17:11:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 08:59:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.